Unit tde76e2_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ftde76e2_p, DE76E_p;

function tde76e2: String;

implementation

function tde76e2: String;
var
M,K0,INIAPR,IMAX,IU,MEXACT,MESTER,K20,IMAX2,NATTEM,IERR :Integer;
XN,YN,XK,EPS,THRESH,H,HMIN,YT :Extended;
RAB :Array [0..1696] of Extended;
Y :Array [0..0] of Extended;
const
K :Integer = 18;
K2 :Integer = 25;
begin
Result := '';  {   }
M := 1;
_BLOCK.elm2 := 4.0e0;
XN := 0.0;
YN := Exp(_BLOCK.elm2);
XK := 7.e0;
YT := Exp(_BLOCK.elm2*(XK+1.e0));
K0 := K;
INIAPR := 1;
IMAX := 28;
IU := 2;
EPS := 0.5e-11;
THRESH := 1.e0;
MEXACT := 1;
MESTER := 2;
H := 1.e0;
HMIN := 1.e-3;
K20 := K2;
IMAX2 := 3;
NATTEM := 3;
_BLOCK.elm1 := 0;
DE76E(ftde76e2,M,XN,YN,XK,K0,INIAPR,IMAX,IU,EPS,THRESH,MEXACT,
     M,MESTER,H,HMIN,K20,IMAX2,NATTEM,Y[0],RAB,IERR);
Result := Result + Format(' IERR=%2d ',[IERR]) + #$0D#$0A;
Result := Result + Format(' N=%12d ',[_BLOCK.elm1]) + #$0D#$0A;
Result := Result + Format(' NACCEP=%4d      NREJEC=%4d ',
 [_STAT76.elm1,_STAT76.elm2]) + #$0D#$0A;
Result := Result + Format(' Y =%20.16f'+#$0D#$0A+' YT=%20.16f'+#$0D#$0A+' (YT-Y)/Y=%20.16f ',
 [Y[0],YT,(YT-Y[0])/Y[0]]) + #$0D#$0A;
UtRes('tde76e2',Result);  {     tde76e2.txt }
exit;
end;

end.
